import { ChatMessage, ChatMessages, MessageType } from './types';
export declare class PnChatService {
    private readonly _endpoint;
    private readonly _market;
    private readonly _language;
    private readonly _currentUrl;
    private fetchHelper;
    private readonly _startChatPath;
    private readonly _fetchChatMessagesPath;
    private readonly _sendTextPath;
    private readonly _sendChoicePath;
    private readonly _updateLastMessagePath;
    private readonly _hasNewMessagesPath;
    constructor(endpoint: string, market: string, language: string);
    startChat(chatId: string, itemId: string): Promise<string>;
    fetchMessages(chatId: string, prevMessageData: ChatMessages): Promise<ChatMessages>;
    sendMessage(content: string, itemId: string, chatId: string, lastMessageId: string, messageType: MessageType): Promise<string>;
    updateLastMessageId(chatId: string, lastMessageId: string): Promise<void>;
    hasNewMessages(itemId: string): Promise<boolean>;
    private sendTextMessage;
    private sendChoiceMessage;
    private formatEndpoint;
    private handleResponse;
    private getRequestInit;
    GetLastMessageId(messages: ChatMessage[], lastMessageId: string): string;
}
